Page MenuHomePhabricator

[Epic] Add arbitrary language support
Closed, ResolvedPublic

Description

Support arbitrary languages in the WDQS UI

Event Timeline

Jdouglas renamed this task from [wdqs explorer] Arbitrary language support to [wdqs explorer] Add arbitrary language support.
Jdouglas claimed this task.
Jdouglas raised the priority of this task from to Normal.
Jdouglas updated the task description. (Show Details)
Jdouglas added projects: Discovery, Epic.
Jdouglas set Security to None.
Jdouglas added subscribers: Jdouglas, Aklapper.
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.May 26 2015, 11:44 PM
Smalyshev added a subscriber: Smalyshev.
Jdouglas removed Jdouglas as the assignee of this task.Jun 11 2015, 5:14 PM
Jdouglas lowered the priority of this task from Normal to Low.
Restricted Application added a project: Wikidata. · View Herald TranscriptSep 9 2015, 7:34 AM
JanZerebecki moved this task from incoming to monitoring on the Wikidata board.Sep 10 2015, 6:01 PM
Smalyshev moved this task from WDQS to On Sprint Board on the Discovery board.Sep 24 2015, 6:02 PM
Smalyshev moved this task from On Sprint Board to WDQS on the Discovery board.

Hi,

I'd like to expand on this bug:

It would be nice to have the language selector on WDQS. Selecting another language would be useful for:

  • translating the interface of WDQS
  • more important, have the localised autocomplete for the properties and items used.
Smalyshev renamed this task from [wdqs explorer] Add arbitrary language support to Add arbitrary language support.Mar 10 2016, 9:45 PM
Smalyshev raised the priority of this task from Low to Normal.
Smalyshev added a subscriber: Jonas.
Jonas renamed this task from Add arbitrary language support to [Epic] Add arbitrary language support.Mar 11 2016, 1:23 PM
Jonas updated the task description. (Show Details)

Translating all of the UI seems to be a big thing.
I am not sure how we should do that.
We could use a JS framework like https://github.com/i18next/i18next
Could we use translatewiki for other languages than en? How would we integrate translatewiki?
How should the user change the language in the UI?

@Sylvain_WMFr
What I can say that changing the auto complete should be very easy

Smalyshev added a comment.EditedMar 11 2016, 5:33 PM

I think we shouldn't try to boil the ocean at once - maybe start with completion, tooltips, then explorer, then lay the framework for translating other pieces. Starting, I guess, with language choice - maybe some kind of a button/widhet/menu on the top bar? Something looking like a wiki one maybe for familiarity? Just an idea :)

So, should we first start with taking the browsers language and having something like ?lang=fr to enable languages in completion and tooltips?
As a next step integrate a language selector and translate UI.
Should we try to use ULS ore implement something like reasonater has?

Let's discuss this in our meeting on Wednesday.

Hi, did you have time to discuss this in your meeting?

Yes sorry. I should have reported back. We do think translation support is important. We will focus first though on making it easier for people who don't know SPARQL to query the data.
In terms of translation we will first focus on the suggestions/auto-completion and later the UI.

Jonas closed this task as Resolved.Aug 18 2016, 9:21 PM